/* 
 * holiday data of en-JP for jquery.holiday.js
 * 
 * Function:
 *		Setting the holiday tooltip data for a region and a language.
 * Install:
 *		<script src="jquery.holiday_en-JP.js"></script>
 * Notice:
 *		this data affects all the holiday tooltips on a html page.
 * history:
 *   2020-10-11 adjust to the resent National Holidays
 *   2021-06-27 adjust to the resent National Holidays (https://www8.cao.go.jp/chosei/shukujitsu/gaiyou.html)
 */
$(function(){
	$.fn.holiday('setRegionData', {
		//Annual Holidays { month : [{ day: day, name: holiday name, from: valid from the year, to: valid until the year}] }
		//	day: (day of the month | nth / day of week)
		'annual':{
			'01': [
				{'day':'01','name':"New Year's Day"},
				{'day':'2/1','name':"Coming-of-Age Day"}
			],
			'02': [
				{'day':'11','name':"National Foundation Day"},
				{'day':'23','name':"Emperor's Birthday",'from':'2020'}
			],
			'03': [
				{'day':'spring equinox','name':"Spring Equinox Day"}
			],
			'04': [
				{'day':'29','name':"Showa Day"}
			],
			'05': [
				{'day':'03','name':"Constitution Day"},
				{'day':'04','name':"Greenery Day"},
				{'day':'05','name':"Children's Day"}
			],
			'07': [
				{'day':'20', 'name':"Marine Day",'from':'1996','to':'2002'},
				{'day':'3/1','name':"Marine Day",'from':'2003','to':'2019'},
				{'day':'3/1','name':"Marine Day",'from':'2022'}
			],
			'08': [
				{'day':'11','name':"Mountain Day",'from':'2016','to':'2019'},
				{'day':'11','name':"Mountain Day",'from':'2022'}
			],
			'09': [
				{'day':'3/1','name':"Respect-for-the-Aged Day"},
				{'day':'autumnal equinox','name':"Autumnal Equinox Day"}
			],
			'10': [
				{'day':'2/1','name':"Sports Day",'to':'2019'},
				{'day':'2/1','name':"Sports Day",'from':'2022'}
			],
			'11': [
				{'day':'03','name':"Culture Day"},
				{'day':'23','name':"Labor Thanksgiving Day"}
			],
			'12': [
				{'day':'23','name':"Emperor's Birthday",'to':'2018'}
			]
		},
		//Individual Holidays { year month : [ { day: day of the month, name: holiday name } ] }
		'individual':{
			'201509': [{'day':'22','name':"National Holiday"}],
			'202007': [{'day':'23','name':"Marine Day"},{'day':'24','name':"Sports Day"}], //special case for the olympic 2020
			'202008': [{'day':'10','name':"Mountain Day"}], //special case for the olympic 2020
			'202107': [{'day':'22','name':"Marine Day"},{'day':'23','name':"Sports Day"}], //special case for the olympic 2021
			'202108': [{'day':'08','name':"Mountain Day"},{'day':'09','name':"substitute(Mountain Day)"}], //special case for the olympic 2021
			'202609': [{'day':'22','name':"National Holiday"}],
			'203209': [{'day':'21','name':"National Holiday"}],
			'203709': [{'day':'22','name':"National Holiday"}]
		},
		//Words for a language
		'words': {
			'substitute':"substitute" // for a substitute holiday
		}
	});
});